## bcc 1.3.1

=== DESCRIPTION ===
Package: bcc
Title: Beta Control Charts
Version: 1.3.1
Authors@R: 
     c(person("Ângelo", "Santanna", role = "aut",
                     email = "angelo.santanna@ufba.br"),
              person("Daniel", "Cerqueira", role = c("aut", "cre"),
                     email = "danielcerqueira@live.com"),
                     person("Luca", "Scrucca", role = c("ctb"),
                     email = "luca.scrucca@unipg.it"))
Description: Applies beta control charts to defined values, using 'qcc' package with new beta control limits. The Beta Chart presents the control limits based on the Beta probability distribution. Can be used for monitoring fraction data from Binomial distribution as replacement of the p-Charts. The Beta Chart was applied for monitoring the variables in three real studies, and it was compared to the control limits with three schemes. The comparative analysis showed that: (i) Beta approximation to the Binomial distribution was more appropriate with values confined in the [0, 1]- interval; and (ii) the charts proposed were more sensitive to the average run length (ARL), in both in-control and out-of-control processes monitoring. The Beta Charts outperform the Shewhart control charts analyzed for monitoring fraction data. Ângelo Márcio Oliveira Sant’Anna, Carla Schwengber ten Caten (2012) <doi:10.1016/j.eswa.2012.02.146>.
Depends: R (>= 2.10)
URL: https://danielucas28.github.io/
License: GPL
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Imports: qcc, methods
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-04-23 23:41:25 UTC; danie
Author: Ângelo Santanna [aut],
  Daniel Cerqueira [aut, cre],
  Luca Scrucca [ctb]
Maintainer: Daniel Cerqueira <danielcerqueira@live.com>
Repository: CRAN
Date/Publication: 2020-04-28 11:20:11 UTC

## bcc 0.20.0

=== debian/changelog ===
bcc (0.20.0-1.lnd.4) unstable; urgency=low

  * Add usdt support for LoongArch64

 -- Youling Tang <tangyouling@loongson.cn>  Tue, 8 Feb 2022 09:00:00 +0800

bcc (0.20.0-1.lnd.3) unstable; urgency=low

  * modify loongarch basic support and fix error when run script

 -- Tiezhu Yang <yangtiezhu@loongson.cn>  Fri, 16 JUL 2021 09:00:00 +0800

bcc (0.20.0-1.lnd.2) unstable; urgency=low

  * Add bcc-tools deb

 -- Jinyang He <hejinyang@loongson.cn>  Fri, 2 JUL 2021 17:00:00 +0000

bcc (0.20.0-1.lnd.1) unstable; urgency=low

  * Add LoongArch build support

 -- Jinyang He <hejinyang@loongson.cn>  Fri, 18 JUN 2021 17:00:00 +0000

bcc (0.20.0-1) unstable; urgency=low

  * Support for kernel up to 5.12
  * Some basic support for MIPS
  * added bpf_map_lookup_batch and bpf_map_delete_batch support
  * tools/funclatency.py support nested or recursive functions
  * tools/biolatency.py can optionally print out average/total value
  * fix possible marco HAVE_BUILTIN_BSWAP redefine warning for kernel >= 5.10.
  * new tools: virtiostat
  * new libbpf-tools: ext4dist
  * doc update and bug fixes

 -- Yonghong Song <ys114321@gmail.com>  Mon, 5 May 2021 17:00:00 +0000

bcc (0.19.0-1) unstable; urgency=low

  * Support for kernel up to 5.11
  * allow BCC as a cmake subproject
  * add LPORT support in tcpconnlat and tcpconnect
  * added bpf_map_lookup_and_delete_batch support
  * new tools: virtiostat
  * new libbpf-tools: cpufreq, funclatency, cachestat
  * add install target to libbpf-tools
  * a few lua fixes
  * doc update and bug fixes

 -- Yonghong Song <ys114321@gmail.com>  Mon, 19 Mar 2021 17:00:00 +0000

bcc (0.18.0-1) unstable; urgency=low

  * Support for kernel up to 5.10
  * add bpf kfunc/kretfunc C++ example
  * add PT_REGS_PARMx_SYSCALL helper macro
  * biolatency: allow json output
  * biolatpcts: support measuring overall latencies between two events
  * fix build when ENABLE_CLANG_JIT is disabled
  * doc update and bug fixes

 -- Yonghong Song <ys114321@gmail.com>  Mon, 4 Jan 2021 17:00:00 +0000

bcc (0.17.0-1) unstable; urgency=low

  * Support for kernel up to 5.9
  * usdt: add uprobe refcnt support
  * use newer llvm/clang versions in debian packaging if possible
  * add bpf iterator C++ support
  * new bcc tools: tcprtt, netqtop, swapin, tcpsynbl, threadsnoop
  * tcpconnect: add DNS correlation to connect tracking
  * new libbpf-tools: llcstat, numamove, runqlen, runqlat, softirgs, hardirqs
  * doc update, bug fixes and some additional arguments for tools

 -- Yonghong Song <ys114321@gmail.com>  Thu, 29 Oct 2020 17:00:00 +0000

bcc (0.16.0-1) unstable; urgency=low

  * Support for kernel up to 5.8
  * trace.py: support kprobe/uprobe func offset
  * support raw perf config for perf_event_open in python
  * add BPFQueueStackTable support
  * added Ringbuf support support
  * libbpf-tools: readahead, biosnoop, bitesize, tcpconnlat, biopattern, biostacks
  * bug fixes and some additional arguments for tools

 -- Yonghong Song <ys114321@gmail.com>  Sat, 22 Aug 2020 17:00:00 +0000

bcc (0.15.0-1) unstable; urgency=low

  * Support for kernel up to 5.7
  * new tools: funcinterval.py, dirtop.py
  * support lsm bpf programs
  * support multiple pid/tids for offwaketime
  * usdt: add helpers to set semaphore values
  * turn off x86 jump table optimization during jit compilation
  * add support to use bpf_probe_read[_str_}{_user,kernel} in all bpf
  *    programs, fail back to old bpf_probe_read[_str] for old kernels
  * tools: add filtering by mount namespace
  * libbpf-tools: cpudist, syscount, execsnoop, vfsstat
  * lots of bug fixes and a few additional arguments for tools

 -- Yonghong Song <ys114321@gmail.com>  Mon, 19 Jun 2020 17:00:00 +0000

bcc (0.14.0-1) unstable; urgency=low

  * Support for kernel up to 5.6
  * new tools: biolatpcts.py
  * libbpf-tools: tools based on CORE and libbpf library directly
  * add --cgroupmap to various tools, filtering based cgroup
  * support kfunc (faster kprobe) for vfsstat, klockstat and opensnoop
  * lots of bug fixes and a few additional arguments for tools

 -- Yonghong Song <ys114321@gmail.com>  Mon, 20 Apr 2020 17:00:00 +0000

bcc (0.13.0-1) unstable; urgency=low

  * Support for kernel up to 5.5
  * bindsnoop tool to track tcp/udp bind information
  * added compile-once run-everywhere based libbpf-tools, currently
    only runqslower is implemented.
  * new map support: sockhash, sockmap, sk_storage, cgroup_storage
  * enable to run github actions on the diff
  * cgroupmap based cgroup filtering for opensnoop, execsnoop and bindsnoop.
  * lots of bug fixes.

 -- Yonghong Song <ys114321@gmail.com>  Wed, 19 Feb 2020 17:00:00 +0000

bcc (0.12.0-1) unstable; urgency=low

  * Support for kernel up to 5.4
  * klockstat tool to track kernel mutex lock statistics
  * cmake option CMAKE_USE_LIBBPF_PACKAGE to build a bcc shared library
    linking with distro libbpf_static.a
  * new map.lookup_or_try_init() API to remove hidden return in
    map.lookup_or_init()
  * BPF_ARRAY_OF_MAPS and BPF_HASH_OF_MAPS support
  * support symbol offset for uprobe in both C++ and python API,
    kprobe already has the support
  * bug fixes for trace.py, tcpretrans.py, runqslower.py, etc.

 -- Yonghong Song <ys114321@gmail.com>  Tue, 10 Dec 2019 17:00:00 +0000

bcc (0.11.0-1) unstable; urgency=low

  * Support for kernel up to 5.3
  * Corresponding libbpf submodule release is v0.0.5
  * Fix USDT issue with multi-threaded applications
  * Fixed the early return behavior of lookup_or_init
  * Support for nic hardware offload
  * Fixed and Enabled Travis CI
  * A lot of tools change with added new options, etc.

 -- Yonghong Song <ys114321@gmail.com>  Tue, 03 Oct 2019 17:00:00 +0000

bcc (0.10.0-1) unstable; urgency=low

  * Support for kernel up to 5.1
  * corresponding libbpf submodule release is v0.0.3
  * support for reading kernel headers from /proc
  * libbpf.{a,so} renamed to libcc_bpf.{a,so}
  * new common options for some tools
  * new tool: drsnoop


=== debian/control ===
Source: bcc
Maintainer: Brenden Blanco <bblanco@plumgrid.com>
Section: misc
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), arping, bison, clang-format, cmake, dh-python, llvm-dev,
    dpkg-dev, pkg-kde-tools, ethtool, flex, inetutils-ping, iperf, libedit-dev, libelf-dev,
    libfl-dev, libzip-dev, linux-libc-dev, libclang-8-dev, python3, python (>= 2.7)
Homepage: https://github.com/iovisor/bcc

Package: libbcc
Architecture: any
Provides: libbpfcc, libbpfcc-dev
Conflicts: libbpfcc, libbpfcc-dev
Depends: libc6, libstdc++6, libelf1
# add 'libdebuginfod1' to Depends if built with libdebuginfod support
Description: Shared Library for BPF Compiler Collection (BCC)
 Shared Library for BPF Compiler Collection to control BPF programs
 from userspace.

Package: libbcc-examples
Architecture: any
Depends: libbcc (= ${binary:Version})
Description: Examples for BPF Compiler Collection (BCC)

Package: python-bcc
Architecture: all
Provides: python-bpfcc
Conflicts: python-bpfcc
Depends: libbcc (= ${binary:Version}), python, binutils
Description: Python wrappers for BPF Compiler Collection (BCC)

Package: python3-bcc
Architecture: all
Provides: python3-bpfcc
Conflicts: python3-bpfcc
Depends: libbcc (= ${binary:Version}), python3, binutils
Description: Python3 wrappers for BPF Compiler Collection (BCC)

Package: bcc-tools
Architecture: all
Provides: bpfcc-tools
Conflicts: bpfcc-tools
Depends: python-bcc (= ${binary:Version})
Description: Command line tools for BPF Compiler Collection (BCC)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_OPTIONS=nocheck

DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -rne "s,^Version: (.*),\1,p")
DEBIAN_REVISION := $(shell dpkg-parsechangelog | sed -rne "s,^Version: ([0-9.]+)(~|-)(.*),\3,p")
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -rne "s,^Version: ([0-9.]+)(~|-)(.*),\1,p")

%:
	dh $@ --buildsystem=cmake --parallel --with python2,python3

# tests cannot be run in parallel
override_dh_auto_test:
	dh_auto_test -O--buildsystem=cmake -O--no-parallel

# FIXME: LLVM_DEFINITIONS is broken somehow in LLVM cmake upstream
override_dh_auto_configure:
	dh_auto_configure -- -DREVISION_LAST=$(UPSTREAM_VERSION) -DREVISION=$(UPSTREAM_VERSION) -DLLVM_DEFINITIONS="-D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS" -DPYTHON_CMD="python2;python3"

## bcc 1.5

=== DESCRIPTION ===
Package: bcc
Title: Beta Control Charts
Version: 1.5
Authors@R: 
    c(person("Ângelo", "Santanna", role = "aut", email = "angelo.santanna@ufba.br"),
      person("Daniel", "Cerqueira", role = c("aut", "cre"), email = "danielcerqueira@live.com"))
Description: Applies Beta Control Charts to defined values. The Beta Chart presents control limits based on the Beta probability distribution, making it suitable for monitoring fraction data from a Binomial distribution as a replacement for p-Charts. The Beta Chart has been applied in three real studies and compared with control limits from three different schemes. The comparative analysis showed that: (i) the Beta approximation to the Binomial distribution is more appropriate for values confined within the [0, 1] interval; and (ii) the proposed charts are more sensitive to the average run length (ARL) in both in-control and out-of-control process monitoring. Overall, the Beta Charts outperform the Shewhart control charts in monitoring fraction data. For more details, see Ângelo Márcio Oliveira Sant’Anna and Carla Schwengber ten Caten (2012) <doi:10.1016/j.eswa.2012.02.146>.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-06-09 18:47:29 UTC; danie
Author: Ângelo Santanna [aut],
  Daniel Cerqueira [aut, cre]
Maintainer: Daniel Cerqueira <danielcerqueira@live.com>
Repository: CRAN
Date/Publication: 2024-06-10 17:40:06 UTC
